CLASS TEMPL(3)

NAME
boost::algorithm::has_stable_iterators - Stable iterators trait.

SYNOPSIS

// In header: <boost/algorithm/string/sequence_traits.hpp>
template<typename T>
class has_stable_iterators {
public:
  // types
  typedef mpl::bool_< has_stable_iterators< T >::value > type;
  static const bool value;
};

DESCRIPTION

This trait specifies that the sequence has stable iterators. It means that operations like insert/erase/replace do not invalidate iterators.